/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
// #include "WLogIn.h"
#include <qapplication.h>
#include <qdesktopwidget.h>

#define LOGIN 0
#define MENU 1
#define MAIN 2

void CWGrbs::init()
{
	wLogIn = new CWLogIn( this );
	wMenu = new CWMenu( this );
	wMain = new CWMain( this );
	
	wLogIn->hide();
	wMenu->hide();
	wMain->hide();
	
	widgets[ LOGIN ] = wLogIn;
	widgets[ MENU ] = wMenu;
	widgets[ MAIN ] = wMain;
	
	prevState = currState = 0;
	changeState( LOGIN );
	
	connect( wLogIn, SIGNAL( signalLogInOk() ),
			 SLOT( slotLogInOk() ) );
	connect( wMain, SIGNAL( closed() ),
			 SLOT( close() ) );
}

void CWGrbs::slotLogInOk()
{
	changeState( MAIN );
}

void CWGrbs::changeState( int state )
{
	prevState = currState;
	currState = state;
	widgets[ prevState ]->hide();
	widgets[ currState ]->show();
	
	resize( widgets[currState]->width(), widgets[currState]->height() );
}

/*
void CWGrbs::resizeEvent( QResizeEvent* )
{
	QDesktopWidget* d = QApplication::desktop();
	int dw = d->width();
	int dh = d->height();
	int tx = dw/2 - width()/2;
	int ty = dh/2 - height()/2;
	this->move( tx, ty );
}
*/
