/****************************************************************************
** Form interface generated from reading ui file 'WGame.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef CWGAME_H
#define CWGAME_H

#include <qvariant.h>
#include <qwidget.h>

#include <qframe.h>
#include <qimage.h>

#include "WGameScr.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QPushButton;
class QLabel;

class CWGame : public QWidget
{
    Q_OBJECT

public:
    CWGame( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~CWGame();
    void gameInit();

    QPushButton* btn1;
    QPushButton* btn2;
    QPushButton* btn3;
    
    QFrame* screen;
    QLabel* labelGuide;
    
    QPushButton* btnStart;
    QPushButton* btnEnd;

protected:
    QHBoxLayout* btns;
    
signals:
	void signalSetNumUsr(int num);
	void signalGameStart();
	void signalGameEnd(int result);

protected slots:
    virtual void languageChange();
    
	void slotBtn1Clicked();
	void slotBtn2Clicked();
	void slotBtn3Clicked();
	void slotBtnStartClicked();
	
	void slotGameStart();
	void slotGameStop(int);
	
	void slotCheckDraw();
		
private:
	void showResult();
	void caseDraw();
	void caseWin();
	void caseLose();
	int checkNum(int numCom, int numUsr);
	
	int m_speed;
	int m_numUsr;
	int m_numCom;
	int m_result;
	
	QWidget* wBtns;
	QImage img[3];
	QTimer* timerRestart;
	CWGameScr* wGameScr;
};

#endif // CWGAME_H
