/*****************************************************************************
 *
 *
 *
 *****************************************************************************/

/*
To Do
	paintEvent() : 페인터 클래스 에러메세지 ....웁스~!

*/

#include "WGameScr.h"

#include <qwidget.h>
#include <qframe.h>
#include <qpainter.h>
#include <qimage.h>
#include <stdlib.h>

#define MIN_NUM 0
#define MAX_NUM 2
#define RAND_NUM(min, max) (  ( rand() % (max-min+1) ) + min  )
#define RAND() RAND_NUM(MIN_NUM, MAX_NUM)

//*****************************************************************************
//*****************************************************************************
CWGameScr::CWGameScr( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl ), m_num(0), painter(this)
{
	setMinimumSize( QSize( 230, 200 ) );
	setMaximumSize( QSize( 230, 200 ) );
	setBackgroundColor( white );
	
	QRect r( 0, 0, 240, 320 );
	rect = r;
	
	m_speed = 200; // ex) 200ms
	m_num = RAND();
	
	img[0].load("./images/scissors.png");
	img[1].load("./images/rock.png");
	img[2].load("./images/paper.png");

	pm[0].convertFromImage( img[0].smoothScale( this->size() )  );
	pm[1].convertFromImage( img[1].smoothScale( this->size() )  );
	pm[2].convertFromImage( img[2].smoothScale( this->size() )  );
	
	painter.setClipRect( rect );
	painter.drawPixmap( 0, 0, pm[m_num] );
	emit update();
}
//*****************************************************************************
//*****************************************************************************
void CWGameScr::timerEvent( QTimerEvent* )
{
//	m_num = RAND();
	m_num = (m_num+1)%3;
//	repaint();
//	repaint(FALSE);
	emit update();
}

void CWGameScr::paintEvent( QPaintEvent* e)
{
	if ( pm[m_num].size() != QSize( 0, 0 ) )
	{	// is an image loaded?
		/*
		QPainter painter(this);
		// painter.setClipRect( e->rect() );
		*/

		painter.drawPixmap( 0, 0, pm[m_num] );

    	// error
    	// QPainter::killPStack: non-empty save/restore stack when end() was called
	}

}
void CWGameScr::scrShow()
{
   if ( pm[m_num].size() != QSize( 0, 0 ) ) {         // is an image loaded?
        QPainter painter(this);
		// painter.setClipRect( this->rect() );
        painter.drawPixmap( 0, 0, pm[m_num] );
		// painter.setWorldMatrix(m, TRUE);
    	// error
    	// QPainter::killPStack: non-empty save/restore stack when end() was called
    }
}
//*****************************************************************************
// 
//*****************************************************************************
void CWGameScr::scrStart()
{
	startTimer(m_speed);
}

void CWGameScr::scrStop()
{
	killTimers();
}

int CWGameScr::getNum()
{
	return m_num;
}
