/*****************************************************************************
 *
 *
 *
 *****************************************************************************/

#ifndef __CWGAMESCR_H__
#define __CWGAMESCR_H__

#include <qvariant.h>
#include <qpainter.h>

#include <qframe.h>
#include <qimage.h>
#include <qpixmap.h>

class CWGameScr : public QWidget
{
    Q_OBJECT

public:
    CWGameScr( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~CWGameScr(){};

	void scrStart();    
   	void scrStop();
   	void scrShow();
   	
   	int getNum();

public slots:

private:
	void timerEvent( QTimerEvent* );
	void paintEvent( QPaintEvent* );
	
	int m_speed;
	int m_num;
	
	QImage img[3];
	QPixmap pm[3];

	QRect rect;
	QWMatrix m;
	QPainter painter;
};

#endif // __CWGAMESCR_H__
