/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
#include "stdlib.h"

#define MIN_NUM 0
#define MAX_NUM 2
#define RAND_NUM(min, max) (  ( rand() % (max-min+1) ) + min  )
#define RAND() RAND_NUM(MIN_NUM, MAX_NUM)

void CWGameScr::init()
{
	m_speed = 200; // ex) 200ms
	m_num = RAND();
	
	QRect r( 0, 0, width(), height() );
	rect = r;
	
	img[0].load("./images/scissors.png");
	img[1].load("./images/rock.png");
	img[2].load("./images/paper.png");

	pm[0].convertFromImage( img[0].smoothScale( this->size() )  );
	pm[1].convertFromImage( img[1].smoothScale( this->size() )  );
	pm[2].convertFromImage( img[2].smoothScale( this->size() )  );
	
	painter = new QPainter(this);
	painter->setClipRect( rect );
//	painter->begin(this);
	painter->drawPixmap( 0, 0, pm[m_num] );
	painter->end();
	emit update();
	
//	scrStart();
}

//****************************************************************************
//****************************************************************************
void CWGameScr::timerEvent( QTimerEvent* )
{
	//	m_num = RAND();
	m_num = (m_num+1)%3;
	//	repaint();
	//	repaint(FALSE);
	emit update();
}

void CWGameScr::paintEvent( QPaintEvent* )
{
	if ( pm[m_num].size() != QSize( 0, 0 ) )
	{	// is an image loaded?
		/*
				QPainter painter(this);
				// painter.setClipRect( e->rect() );
				*/
		painter->begin(this);
		painter->drawPixmap( 0, 0, pm[m_num] );
		painter->end();
		
		// error
		// QPainter::killPStack: non-empty save/restore stack when end() was called
	}
	
}

void CWGameScr::scrStart()
{
	startTimer(m_speed);
}

void CWGameScr::scrStop()
{
	killTimers();
}

int CWGameScr::getNum()
{
	return m_num;
}
