/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
#define READOK
#define READFAIL

#include <qlabel.h>
#include <qmessagebox.h>

#include "hangul.h"
#include "WButton.h"
#include "rfid.h"

void CWCardRead::init()
{
	wCardInfo = new CWCardInfo( this );
	wCardFail = new CWCardFail( this );
	
	wCardInfo->hide();
	wCardFail->hide();
	
	connect( wCardInfo->btnOk, SIGNAL( clicked() ),
			 SIGNAL( signalCardReadOk() )  );
 	connect( wCardFail->btnOk, SIGNAL( clicked() ),
			 SIGNAL( signalCardReadFail() )  );
	
//	thRead = new CThCardRead( this );
}

void CWCardRead::showEvent( QShowEvent* )
{
	readData = 0;
	name = "";
	cardNum = "0000000";
	m_QStrSn = "";
//	startTimer(500);
}

void CWCardRead::hideEvent( QHideEvent* )
{
	wCardInfo->hide();
	wCardFail->hide();
}

void CWCardRead::timerEvent( QTimerEvent* )
{
//	checkCard();
}

/*
void CWCardRead::mousePressEvent( QMouseEvent* e )
{
	if ( e->button() == LeftButton )
	{
		readData = 1;
		name = kor("장동건");
		cardNum = "12345678";
		totalMoney =4000;
		wCardInfo->labelName->setText( name );
		wCardInfo->labelCardNum->setText( cardNum );
	}
	else
	{
		readData = -1;
	}
}
*/

int CWCardRead::getData()
{
	return readData;
}

QString CWCardRead::getCardNum()
{
	return cardNum;
}

QString CWCardRead::getName()
{
	return name;
}

void CWCardRead::checkCard()
{
	/*
	CRfid rfid(0);
	rfid.rfOpen();
	rfid.readSerial();
	
	m_QStrSn = rfid.getSNString();
	labelSn->setText( m_QStrSn );
	*/
	
	/*
	if ( !m_QStrSn.isEmpty() )
	{
//		killTimers();
//		fprintf(stderr,"fprintf(): %s\n", rfid.getSNString());
//		qDebug( m_QStrSn );
		

		// db로 부터 정보를 가져옴
		
		//
		
		//
		wCardInfo->labelCardNum->setText( m_QStrSn );
		readData = 1;
	}
	else
	{
		
	}
	
	if ( readData == 1 )
	{
		wCardInfo->show();
//		killTimers();
	}
	else if ( readData == -1 )
	{
		wCardFail->show();
//		killTimers();
	}
	*/
}

void CWCardRead::slotReadOk()
{
	wCardInfo->show();
}

void CWCardRead::slotReadFail()
{
	wCardFail->show();
}

QLabel* CWCardRead::getPtrLabelCardID()
{
	return wCardInfo->labelCardID;
}
