/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
#include "hangul.h"
#include "WButton.h"

void CWDist::init()
{
	wDistFail = new CWDistFail( this );
	wDistResult = new CWDistResult( this );
	
	wDistFail->hide();
	wDistResult->hide();

	connect( wDistResult->btnOk, SIGNAL( clicked() ),
			 SIGNAL( signalDistOk() )  );
	
	connect( wDistFail->btnOk, SIGNAL( clicked() ),
			 SIGNAL( signalDistFail() )  );
}

void CWDist::showEvent( QShowEvent* )
{
	startTimer(300);
}

void CWDist::hideEvent( QHideEvent* )
{
	wDistFail->hide();
	wDistResult->hide();
}

/*
void CWDist::mousePressEvent( QMouseEvent* e )
{
	if ( e->button() == LeftButton )
	{
		distResult = 1;
		type = kor("병");
		money = 50;
		wDistResult->labelType->setText( type );
		wDistResult->labelMoney->setNum( money );
		
	}
	else
	{
		distResult = -1;
	}
}
*/


void CWDist::slotDistOk()
{
	wDistResult->show();
}

void CWDist::slotDistFail()
{
	wDistFail->show();
}

QLabel* CWDist::getPtrLabelType()
{
	return wDistResult->labelType;
}

QLabel* CWDist::getPtrLabelMoney()
{
	return wDistResult->labelMoney;
}

void CWDist::setTypePix( int num )
{
	wDistResult->setTypePix( num );
}

void CWDist::setTypeText( int num )
{
	wDistResult->setTypeText( num );
}
