/*
 * ============================================================================
 *
 *       Filename:  grbs_packet_code.h
 *    Description:  패킷 코드
 *
 * ============================================================================
 */

//===========================
/*
	CTS : Client To Server
	STC : Server To Client

	REQ : Request
	RES : Result
	SND : Send
*/
//===========================

#ifndef __GRBS_PACKET_CODE__
#define __GRBS_PACKET_CODE__


#define CTS_REQ_USER		1001	// 사용자 확인 요청
#define STC_RES_USER_OK		1002	// 사용자 확인 성공
#define STC_RES_USER_FAIL	1003	// 사용자 확인 실패	
			
#define CTS_REQ_MONEY		2001	// 적립금 조회 요청
#define STC_RES_MONEY_OK	2002	// 적립금 조회 성공
#define STC_RES_MONEY_FAIL	2003	// 적립금 조회 실패	
			
#define STC_REQ_REFUND		3001	// 환급금액 조회 요청
#define CTS_RES_REFUND_OK	3002	// 환급금액 조회 성공
#define CTS_RES_REFUND_FAIL	3003	// 환급금액 조회 실패	
			
#define CTS_SND_POINT		4001	// 적립금 전송
#define STC_RES_POINT_OK	4002	// 적립금 전송 성공	
#define STC_RES_POINT_FAIL	4003	// 적립금 전송 실패	


#endif // __GRBS_PACKET_CODE__
