/****************************************************************************
** Form implementation generated from reading ui file 'WGame.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

/*
To Do
	가위바우보 클릭후 사용자의 그림 처리..?
	가위바위보 클릭후 종료버튼이 보여질 시기..?
		-> 확인 버튼 팝업 X
		-> labelGuide로...
	이미지 스케일
	
	Qt Designer UI생성 및 수정후, 함수 정의부분과의 유동성
*/

#include "WGame.h"
#include "hangul.h"
#include "WGameScr.h"

#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qmessagebox.h>

#include <qframe.h>
#include <qpainter.h>

#include <qlabel.h>
#include <qlayout.h>

#include <qpushbutton.h>
#include <qimage.h>
#include <qpixmap.h>

#include <qtimer.h>

#define LOSE -1
#define DRAW 0
#define WIN 1

#define SCISSORS 0
#define ROCK 1
#define PAPER 2

#define MIN_NUM 0
#define MAX_NUM 2
#define RAND_NUM(min, max) (  ( rand() % (max-min+1) ) + min  )
#define RAND() RAND_NUM(MIN_NUM, MAX_NUM)

/*
 *  Constructs a CWGame as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CWGame::CWGame( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
	setName( "CWGame" );
    setMinimumSize( QSize( 240, 320 ) );
    setMaximumSize( QSize( 240, 320 ) );
    setBackgroundColor( white );

	wGameScr = new CWGameScr(this);
	wGameScr->setGeometry( QRect( 5, 5, 230, 220 ) );

    wBtns = new QWidget( this, "wBtns" );
    wBtns->setGeometry( QRect( 5, 230, 230, 72 ) );
    wBtns->setBackgroundColor( white );
    
    QHBoxLayout* hBox = new QHBoxLayout( wBtns, 0, 0, "hBox"); 

    btn1 = new QPushButton( wBtns, "btn1" );
    btn1->setMinimumSize( QSize( 70, 70 ) );
    btn1->setMaximumSize( QSize( 70, 70 ) );
    btn1->setFocusPolicy( QPushButton::NoFocus );
    hBox->addWidget( btn1 );

    btn2 = new QPushButton( wBtns, "btn2" );
    btn2->setMinimumSize( QSize( 70, 70 ) );
    btn2->setMaximumSize( QSize( 70, 70 ) );
    btn2->setFocusPolicy( QPushButton::NoFocus );
    hBox->addWidget( btn2 );

    btn3 = new QPushButton( wBtns, "btn3" );
    btn3->setMinimumSize( QSize( 70, 70 ) );
    btn3->setMaximumSize( QSize( 70, 70 ) );
    btn3->setFocusPolicy( QPushButton::NoFocus );
    hBox->addWidget( btn3 );

	/*
    screen = new QLabel( this, "screen" );
    screen->setGeometry( QRect( 5, 5, 230, 200 ) );
    screen->setMinimumSize( QSize( 230, 200 ) );
    screen->setMaximumSize( QSize( 230, 200 ) );
    screen->setFrameShape( QLabel::GroupBoxPanel );
    screen->setFrameShadow( QLabel::Sunken );
    screen->setLineWidth( 1 );
    screen->setScaledContents( TRUE );
    screen->setAlignment( int( QLabel::AlignCenter ) );
    screen->setBackgroundColor( white );
    */
    
    // 프레임
    /*
    screen = new QFrame( this, "frame4" );
    screen->setGeometry( QRect( 5, 5, 230, 220 ) );
    screen->setFrameShape( QFrame::GroupBoxPanel );
    screen->setFrameShadow( QFrame::Sunken );
    */
    
    labelGuide = new QLabel( this, "labelGuide" );
    labelGuide->setGeometry( QRect( 5, 195, 230, 30 ) );
    labelGuide->setMinimumSize( QSize( 230, 30 ) );
    labelGuide->setMaximumSize( QSize( 230, 30 ) );
    labelGuide->setAlignment( int( QLabel::AlignCenter ) );
	// labelGuide->hide();

    btnStart = new QPushButton( this, "btnStart" );
    btnStart->setGeometry( QRect( 45, 230, 151, 71 ) );
    btnStart->setFocusPolicy( QPushButton::NoFocus );

    btnEnd = new QPushButton( this, "btnEnd" );
    btnEnd->setGeometry( QRect( 45, 230, 151, 71 ) );
    btnEnd->setFocusPolicy( QPushButton::NoFocus );
    
    //-------------------
    wBtns->hide();
    btnStart->show();
    btnEnd->hide();
    
    //-------------------
    languageChange();
    resize( QSize(240, 320).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
    
    //-------------------
	img[0].load("./images/scissors.png");
	img[1].load("./images/rock.png");
	img[2].load("./images/paper.png");
	
	m_speed = 0;
	m_numUsr = 0;
	m_numCom = 0;
	m_result = DRAW;
	
	timerRestart = new QTimer(this);
	
	//-------------------
	QPixmap pm;
	pm.convertFromImage( img[0] );
	btn1->setPixmap( pm );
	pm.convertFromImage( img[1] );
	btn2->setPixmap( pm );
	pm.convertFromImage( img[2] );
	btn3->setPixmap( pm );
	
	//-------------------
	btn1->setFlat(TRUE);
	btn2->setFlat(TRUE);
	btn3->setFlat(TRUE);
	
	btn1->blockSignals(TRUE);	// signal-off
	btn2->blockSignals(TRUE);	// signal-off
	btn3->blockSignals(TRUE);	// signal-off
	
    //-------------------
    connect( btn1, SIGNAL( clicked() ), SLOT( slotBtn1Clicked() )  );
    connect( btn2, SIGNAL( clicked() ), SLOT( slotBtn2Clicked() )  );
    connect( btn3, SIGNAL( clicked() ), SLOT( slotBtn3Clicked() )  );
    connect( btnStart, SIGNAL( clicked() ), SLOT( slotBtnStartClicked() )  );

    connect( this,	SIGNAL( signalSetNumUsr(int) ),
    				SLOT( slotGameStop(int) )  );

	connect( this, SIGNAL( signalGameStart() ), SLOT( slotGameStart() )  );

	
	connect( timerRestart, SIGNAL( timeout() ), SLOT( slotCheckDraw() )  );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CWGame::~CWGame()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CWGame::languageChange()
{
    setCaption( tr( "CWGame" ) );
//    btn1->setText( trUtf8( "\xea\xb0\x80\xec\x9c\x84" ) );
//    btn2->setText( trUtf8( "\xeb\xb0\x94\xec\x9c\x84" ) );
//    btn3->setText( trUtf8( "\xeb\xb3\xb4" ) );
//    btnEnd->setText( trUtf8( "\xec\xa2\x85\xeb\xa3\x8c" ) );
    btnStart->setText( kor( "시작" ) );
    labelGuide->setText( kor( "시작버튼을 눌러주세요" ) );
}

// 버튼 클릭시 시그널
void CWGame::slotBtn1Clicked()
{
	btn2->hide();
	btn3->hide();
	emit signalSetNumUsr( SCISSORS );
}
void CWGame::slotBtn2Clicked()
{
	btn1->hide();
	btn3->hide();
	emit signalSetNumUsr( ROCK );
}
void CWGame::slotBtn3Clicked()
{
	btn1->hide();
	btn2->hide();
	emit signalSetNumUsr( PAPER );
}

void CWGame::slotBtnStartClicked()
{
	btnStart->hide();
	wBtns->show();
	emit signalGameStart();
}

void CWGame::gameInit(void)
{
	btnStart->show();
	labelGuide->setText( kor("시작 버튼을 눌러주세요") );
}

void CWGame::slotGameStart(void)
{
	btn1->show();
	btn2->show();
	btn3->show();
	
	btn1->blockSignals(FALSE);	// signal-on
	btn2->blockSignals(FALSE);	// signal-on
	btn3->blockSignals(FALSE);	// signal-on
	
	labelGuide->setText( kor("가위! 바위! 보!") );
	wGameScr->scrStart();
}

void CWGame::slotGameStop(int num)
{
	// 스크린 중지
	wGameScr->scrStop();	
	
	// 시그날 중지
	btn1->blockSignals(TRUE);	// signal-off
	btn2->blockSignals(TRUE);	// signal-off
	btn3->blockSignals(TRUE);	// signal-off
	
	// 인수로 받은 값으로 사용자 값 설정
	m_numUsr = num;
	
	// 사용자 화면 출력
	
	// 비교 및 결과값 저장
	m_result = checkNum( wGameScr->getNum(), m_numUsr );
	
	// 결과 출력
	showResult();
}

void CWGame::slotCheckDraw(void)
{
	if ( m_result == DRAW )
	{
		emit signalGameStart();
	}
	else
	{
		emit signalGameEnd( m_result );
		gameInit();
	}
}

void CWGame::showResult(void)
{
	switch ( m_result )
	{
	case DRAW: // draw
		caseDraw();
		break;
		
	case LOSE: // lose
		caseLose();
		break;
		
	case WIN: //win
		caseWin();
		break;
		
	}
}

void CWGame::caseDraw(void)
{
	// QMessageBox::information(this, "caption", kor("비겼네요..다시!") );
	labelGuide->setText( kor("비겼네요..다시!") );
	timerRestart->start(2000, TRUE);
}

void CWGame::caseLose(void)
{
	// QMessageBox::information(this, "caption", kor("아깝습니다...") );
	labelGuide->setText( kor("아깝습니다...") );
	timerRestart->start(2000, TRUE);
}

void CWGame::caseWin(void)
{
	// QMessageBox::information(this, "caption", kor("이겼습니다! +_+") );
	labelGuide->setText( kor("이겼습니다! +_+") );
	timerRestart->start(2000, TRUE);
}



int CWGame::checkNum(int numCom, int numUsr)
{
	int result = numUsr - numCom;
	if ( result == 2 || result == -2 )
	{
		result = result / (-2);
	}
	return result;
}
